#include <perms.h>

                                                                //      1  %begin
#line 1 "regression-run-tmp/jdmlibtest.imp"
int main(int argc, char **argv) {
  _imp_initialise(argc, argv);
                                                                //      2    %integer base = 36
#line 2 "regression-run-tmp/jdmlibtest.imp"
int BASE;
#line 2 "regression-run-tmp/jdmlibtest.imp"
BASE = 36;
                                                                //      3    %integer n
#line 3 "regression-run-tmp/jdmlibtest.imp"
int N;
                                                                //      4    %for n = 0, 1, 100 %cycle
#line 4 "regression-run-tmp/jdmlibtest.imp"
N = (-1);
if ((((100)-(0)) % (1)) != 0) _imp_signal(5,1,0,"Illegal cycle N = 0, 1, 100");
L_0002:;
if (N == 100) goto L_0003;
N += 1;
                                                                //      5      WRITE(n,-1)
#line 5 "regression-run-tmp/jdmlibtest.imp"
_imp_WRITE(N, (-1));
                                                                //      6      spaces((outpos+7)&(~7)-outpos)
#line 6 "regression-run-tmp/jdmlibtest.imp"
_imp_SPACES((((int)((((((int)(_imp_OUTPOS())) + (7))) & ((~(7)))))) - (_imp_OUTPOS())));
                                                                //      7      %for base = 6, 10, 66 %cycle
#line 7 "regression-run-tmp/jdmlibtest.imp"
BASE = (-4);
if ((((66)-(6)) % (10)) != 0) _imp_signal(5,1,0,"Illegal cycle BASE = 6, 10, 66");
L_0005:;
if (BASE == 66) goto L_0006;
BASE += 10;
                                                                //      8        write(base, -1)
#line 8 "regression-run-tmp/jdmlibtest.imp"
_imp_WRITE(BASE, (-1));
                                                                //      9        printstring("_")
#line 9 "regression-run-tmp/jdmlibtest.imp"
_imp_PRINTSTRING(_imp_str_literal("_"));
                                                                //     10        printstring(INT2ASCII(n, base, 4))
#line 10 "regression-run-tmp/jdmlibtest.imp"
_imp_PRINTSTRING(_imp_INT2ASCII(N, BASE, 4));
                                                                //     11        spaces((outpos+7)&(~7)-outpos)
#line 11 "regression-run-tmp/jdmlibtest.imp"
_imp_SPACES((((int)((((((int)(_imp_OUTPOS())) + (7))) & ((~(7)))))) - (_imp_OUTPOS())));
                                                                //     12      %repeat
#line 12 "regression-run-tmp/jdmlibtest.imp"
goto L_0005;
#line 12 "regression-run-tmp/jdmlibtest.imp"
L_0006:;
                                                                //     13      newline
#line 13 "regression-run-tmp/jdmlibtest.imp"
_imp_NEWLINE();
                                                                //     14    %repeat
#line 14 "regression-run-tmp/jdmlibtest.imp"
goto L_0002;
#line 14 "regression-run-tmp/jdmlibtest.imp"
L_0003:;
                                                                //     15  %endofprogram
#line 15 "regression-run-tmp/jdmlibtest.imp"
/* Remove %on %event handler here if present for this block */
return 0;
} // End of block _imp_main at level 1
#line 15 "regression-run-tmp/jdmlibtest.imp"
// End of file
